--- mariadb-10.6.16/mysys_ssl/CMakeLists.txt.orig
+++ mariadb-10.6.16/mysys_ssl/CMakeLists.txt
@@ -46,4 +46,4 @@
 
 ADD_CONVENIENCE_LIBRARY(mysys_ssl ${MYSYS_SSL_SOURCES})
 TARGET_LINK_LIBRARIES(mysys_ssl dbug strings ${SSL_LIBRARIES})
-DTRACE_INSTRUMENT(mysys_ssl)
+#DTRACE_INSTRUMENT(mysys_ssl)
--- mariadb-10.6.16/cmake/plugin.cmake.orig
+++ mariadb-10.6.16/cmake/plugin.cmake
@@ -145,7 +145,7 @@
     ENDIF()
 
     ADD_LIBRARY(${target} STATIC ${SOURCES})
-    DTRACE_INSTRUMENT(${target})
+    #DTRACE_INSTRUMENT(${target})
     ADD_DEPENDENCIES(${target} GenError ${ARG_DEPENDS})
     RESTRICT_SYMBOL_EXPORTS(${target})
     IF(WITH_EMBEDDED_SERVER AND (NOT ARG_NOT_EMBEDDED))
@@ -155,7 +155,7 @@
         # Recompile some plugins for embedded
         ADD_CONVENIENCE_LIBRARY(${target}_embedded ${SOURCES})
         RESTRICT_SYMBOL_EXPORTS(${target}_embedded)
-        DTRACE_INSTRUMENT(${target}_embedded)   
+        #DTRACE_INSTRUMENT(${target}_embedded)   
         IF(ARG_RECOMPILE_FOR_EMBEDDED)
           SET_TARGET_PROPERTIES(${target}_embedded 
             PROPERTIES COMPILE_DEFINITIONS "EMBEDDED_LIBRARY${version_string}")
@@ -204,7 +204,7 @@
 
     ADD_VERSION_INFO(${target} MODULE SOURCES)
     ADD_LIBRARY(${target} MODULE ${SOURCES}) 
-    DTRACE_INSTRUMENT(${target})
+    #DTRACE_INSTRUMENT(${target})
 
     SET_TARGET_PROPERTIES (${target} PROPERTIES PREFIX "")
     IF (NOT ARG_CLIENT)
--- mariadb-10.6.16/storage/csv/CMakeLists.txt.orig
+++ mariadb-10.6.16/storage/csv/CMakeLists.txt
@@ -15,3 +15,10 @@
 
 SET(CSV_SOURCES  ha_tina.cc ha_tina.h transparent_file.cc transparent_file.h)
 MYSQL_ADD_PLUGIN(csv ${CSV_SOURCES} STORAGE_ENGINE MANDATORY)
+DTRACE_INSTRUMENT(csv)
+IF(WITH_EMBEDDED_SERVER)
+  IF(ARG_RECOMPILE_FOR_EMBEDDED OR NOT _SKIP_PIC)
+    DTRACE_INSTRUMENT(csv_embedded)
+  ENDIF()
+ENDIF()
+
--- mariadb-10.6.16/extra/mariabackup/CMakeLists.txt.orig
+++ mariadb-10.6.16/extra/mariabackup/CMakeLists.txt
@@ -82,6 +82,8 @@
   TARGET_LINK_LIBRARIES(mariadb-backup pcre2-posix)
 ENDIF()
 
+DTRACE_INSTRUMENT(mariadb-backup)
+
 
 ########################################################################
 # mbstream binary
--- mariadb-10.6.16/mysys/mf_keycache.c.orig
+++ mariadb-10.6.16/mysys/mf_keycache.c
@@ -3279,7 +3279,6 @@
     when a thread has got an exclusive lock for the key file.
 */
 
-static
 int simple_key_cache_write(SIMPLE_KEY_CACHE_CB *keycache,
                            File file, void *file_extra __attribute__((unused)),                       
                            my_off_t filepos, int level,
